diff -urN ../VisualBoyAdvance-1.7.2/src/win32/vba.rc ./src/win32/vba.rc
--- ../VisualBoyAdvance-1.7.2/src/win32/vba.rc	2004-05-15 20:21:51 +0900
+++ ./src/win32/vba.rc	2006-08-06 21:40:35 +0900
@@ -925,55 +791,48 @@
     LTEXT           "DE:",IDC_STATIC,250,45,18,8
     LTEXT           "HL:",IDC_STATIC,250,55,18,8
     LTEXT           "IFF:",IDC_STATIC,250,85,18,8
-    LTEXT           "",IDC_R0,285,25,52,8
-    LTEXT           "",IDC_R1,285,35,52,8
-    LTEXT           "",IDC_R2,285,45,52,8
-    LTEXT           "",IDC_R3,285,55,52,8
-    LTEXT           "",IDC_R6,285,85,52,8
-    CONTROL         "N",IDC_N,"Button",BS_AUTOCHECKBOX | WS_DISABLED | 
-                    WS_TABSTOP,250,109,21,10
-    CONTROL         "Z",IDC_Z,"Button",BS_AUTOCHECKBOX | WS_DISABLED | 
-                    WS_TABSTOP,250,97,21,10
-    CONTROL         "C",IDC_C,"Button",BS_AUTOCHECKBOX | WS_DISABLED | 
-                    WS_TABSTOP,250,133,21,10
-    CONTROL         "H",IDC_H,"Button",BS_AUTOCHECKBOX | WS_DISABLED | 
-                    WS_TABSTOP,250,121,21,10
+    LTEXT           "LY:",IDC_STATIC,272,95,18,8
+    LTEXT           "",IDC_R0,285,25,52,8,SS_NOPREFIX
+    LTEXT           "",IDC_R1,285,35,52,8,SS_NOPREFIX
+    LTEXT           "",IDC_R2,285,45,52,8,SS_NOPREFIX
+    LTEXT           "",IDC_R3,285,55,52,8,SS_NOPREFIX
+    LTEXT           "",IDC_R6,285,85,52,8,SS_NOPREFIX
+    LTEXT           "",IDC_LY,285,95,52,8,SS_NOPREFIX
+    CONTROL         "N",IDC_N,"Button",BS_AUTOCHECKBOX | WS_DISABLED | WS_TABSTOP,250,109,21,10
+    CONTROL         "Z",IDC_Z,"Button",BS_AUTOCHECKBOX | WS_DISABLED | WS_TABSTOP,250,97,21,10
+    CONTROL         "C",IDC_C,"Button",BS_AUTOCHECKBOX | WS_DISABLED | WS_TABSTOP,250,133,21,10
+    CONTROL         "H",IDC_H,"Button",BS_AUTOCHECKBOX | WS_DISABLED | WS_TABSTOP,250,121,21,10
     SCROLLBAR       IDC_VSCROLL,229,25,10,161,SBS_VERT
     PUSHBUTTON      "Goto PC",IDC_GOPC,7,204,50,14
     LTEXT           "SP:",IDC_STATIC,250,65,18,8
-    LTEXT           "",IDC_R4,285,65,52,8
+    LTEXT           "",IDC_R4,285,65,52,8,SS_NOPREFIX
     LTEXT           "PC:",IDC_STATIC,250,75,18,8
-    LTEXT           "",IDC_R5,285,75,52,8
+    LTEXT           "",IDC_R5,285,75,52,8,SS_NOPREFIX
 END
 
-IDD_GB_OAM_VIEW DIALOG DISCARDABLE  0, 0, 234, 185
-STYLE DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
+IDD_GB_OAM_VIEW DIALOG  0, 0, 234, 185
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
 CAPTION "GB Oam Viewer"
 FONT 8, "MS Sans Serif"
 BEGIN
-    EDITTEXT        IDC_SPRITE,7,19,76,14,ES_RIGHT | ES_AUTOHSCROLL | 
-                    ES_NUMBER
+    EDITTEXT        IDC_SPRITE,7,19,76,14,ES_RIGHT | ES_AUTOHSCROLL | ES_NUMBER
     SCROLLBAR       IDC_SCROLLBAR,7,33,76,11
-    CONTROL         "Stretch to fit",IDC_STRETCH,"Button",BS_AUTOCHECKBOX | 
-                    WS_TABSTOP,7,138,79,10
+    CONTROL         "Stretch to fit",IDC_STRETCH,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,138,79,10
     PUSHBUTTON      "&Refresh",IDC_REFRESH,7,164,50,14,WS_GROUP
     PUSHBUTTON      "&Save...",IDC_SAVE,91,164,50,14,WS_GROUP
     PUSHBUTTON      "&Close",IDC_CLOSE,177,164,50,14
-    CONTROL         "MapView",IDC_OAM_VIEW,"VbaBitmapControl",WS_GROUP | 
-                    WS_TABSTOP,87,7,64,64
-    CONTROL         "Zoom",IDC_OAM_VIEW_ZOOM,"VbaZoomControl",WS_GROUP | 
-                    WS_TABSTOP,163,7,64,64
-    CONTROL         "Color",IDC_COLOR,"VbaColorControl",WS_TABSTOP,87,79,48,
-                    47
-    LTEXT           "",IDC_POS,31,47,50,8
-    LTEXT           "",IDC_PALETTE,31,87,50,8
-    LTEXT           "",IDC_TILE,31,57,50,8
-    LTEXT           "",IDC_PRIO,31,67,50,8
-    LTEXT           "",IDC_OAP,31,77,50,8
-    LTEXT           "",IDC_FLAGS,31,97,50,8
-    LTEXT           "",IDC_R,145,88,50,8
-    LTEXT           "",IDC_G,145,100,50,8
-    LTEXT           "",IDC_B,145,112,50,8
+    CONTROL         "MapView",IDC_OAM_VIEW,"VbaBitmapControl",WS_GROUP | WS_TABSTOP,87,7,64,64
+    CONTROL         "Zoom",IDC_OAM_VIEW_ZOOM,"VbaZoomControl",WS_GROUP | WS_TABSTOP,163,7,64,64
+    CONTROL         "Color",IDC_COLOR,"VbaColorControl",WS_TABSTOP,87,79,48,47
+    LTEXT           "",IDC_POS,31,47,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_PALETTE,31,87,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_TILE,31,57,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_PRIO,31,67,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_OAP,31,77,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_FLAGS,31,97,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_R,145,88,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_G,145,100,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_B,145,112,50,8,SS_NOPREFIX
     LTEXT           "Pos:",IDC_STATIC,7,47,24,8
     LTEXT           "Pal:",IDC_STATIC,7,87,24,8
     LTEXT           "Tile:",IDC_STATIC,7,57,24,8
@@ -981,96 +840,78 @@
     LTEXT           "OAP:",IDC_STATIC,7,77,24,8
     LTEXT           "Sprite:",IDC_STATIC,7,7,50,8
     LTEXT           "Flags:",IDC_STATIC,7,97,24,8
-    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",
-                    BS_AUTOCHECKBOX | WS_TABSTOP,7,150,71,10
-    LTEXT           "",IDC_BANK,31,107,50,8
+    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,150,71,10
+    LTEXT           "",IDC_BANK,31,107,50,8,SS_NOPREFIX
     LTEXT           "Bank:",IDC_STATIC,7,107,24,8
 END
 
-IDD_GB_TILE_VIEWER DIALOG DISCARDABLE  0, 0, 326, 238
-STYLE DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
+IDD_GB_TILE_VIEWER DIALOG  0, 0, 326, 238
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
 CAPTION "GB Tile Viewer"
 FONT 8, "MS Sans Serif"
 BEGIN
-    CONTROL         "0",IDC_BANK_0,"Button",BS_AUTORADIOBUTTON | WS_GROUP,13,
-                    20,20,10
+    CONTROL         "0",IDC_BANK_0,"Button",BS_AUTORADIOBUTTON | WS_GROUP,13,20,20,10
     CONTROL         "1",IDC_BANK_1,"Button",BS_AUTORADIOBUTTON,13,30,20,10
-    CONTROL         "0x8000",IDC_CHARBASE_0,"Button",BS_AUTORADIOBUTTON | 
-                    WS_GROUP,13,57,39,10
-    CONTROL         "0x8800",IDC_CHARBASE_1,"Button",BS_AUTORADIOBUTTON,13,
-                    67,39,10
-    CONTROL         "Stretch to fit",IDC_STRETCH,"Button",BS_AUTOCHECKBOX | 
-                    WS_TABSTOP,7,122,79,10
+    CONTROL         "0x8000",IDC_CHARBASE_0,"Button",BS_AUTORADIOBUTTON | WS_GROUP,13,57,39,10
+    CONTROL         "0x8800",IDC_CHARBASE_1,"Button",BS_AUTORADIOBUTTON,13,67,39,10
+    CONTROL         "Stretch to fit",IDC_STRETCH,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,122,79,10
     PUSHBUTTON      "Refresh",IDC_REFRESH,7,217,50,14,WS_GROUP
     PUSHBUTTON      "Save...",IDC_SAVE,138,217,50,14
     PUSHBUTTON      "Close",IDC_CLOSE,269,217,50,14
-    CONTROL         "Custom1",IDC_TILE_VIEW,"VbaBitmapControl",WS_GROUP | 
-                    WS_TABSTOP,191,7,128,128
+    CONTROL         "Custom1",IDC_TILE_VIEW,"VbaBitmapControl",WS_GROUP | WS_TABSTOP,191,7,128,128
     GROUPBOX        "VRAM Bank",IDC_STATIC,7,7,66,38
     GROUPBOX        "Char Base",IDC_STATIC,7,46,65,35
-    CONTROL         "Zoom",IDC_MAP_VIEW_ZOOM,"VbaZoomControl",WS_GROUP | 
-                    WS_TABSTOP,7,147,64,64
-    CONTROL         "Color",IDC_COLOR,"VbaColorControl",WS_TABSTOP,98,156,48,
-                    47
-    LTEXT           "",IDC_R,156,164,50,8
-    LTEXT           "",IDC_G,156,176,50,8
-    LTEXT           "",IDC_B,156,188,50,8
+    CONTROL         "Zoom",IDC_MAP_VIEW_ZOOM,"VbaZoomControl",WS_GROUP | WS_TABSTOP,7,147,64,64
+    CONTROL         "Color",IDC_COLOR,"VbaColorControl",WS_TABSTOP,98,156,48,47
+    LTEXT           "",IDC_R,156,164,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_G,156,176,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_B,156,188,50,8,SS_NOPREFIX
     LTEXT           "Palette:",IDC_STATIC,7,86,65,8
-    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",
-                    BS_AUTOCHECKBOX | WS_TABSTOP,7,133,71,10
+    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,133,71,10
     LTEXT           "Tile:",IDC_STATIC,79,14,41,8
     LTEXT           "Address:",IDC_STATIC,79,26,41,8
-    LTEXT           "",IDC_TILE_NUMBER,135,14,50,8
-    LTEXT           "",IDC_ADDRESS,135,26,50,8
-    CONTROL         "Slider1",IDC_PALETTE_SLIDER,"msctls_trackbar32",
-                    TBS_AUTOTICKS | WS_GROUP | WS_TABSTOP,1,98,76,22
+    LTEXT           "",IDC_TILE_NUMBER,135,14,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_ADDRESS,135,26,50,8,SS_NOPREFIX
+    CONTROL         "Slider1",IDC_PALETTE_SLIDER,"msctls_trackbar32",TBS_AUTOTICKS | WS_GROUP | WS_TABSTOP,1,98,76,22
 END
 
-IDD_GB_MAP_VIEW DIALOG DISCARDABLE  0, 0, 322, 238
-STYLE WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME
+IDD_GB_MAP_VIEW DIALOG  0, 0, 322, 238
+STYLE DS_SETFONT | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU | WS_THICKFRAME
 CAPTION "GB Map Viewer"
 FONT 8, "MS Sans Serif"
 BEGIN
-    CONTROL         "0x8000",IDC_BANK_0,"Button",BS_AUTORADIOBUTTON | 
-                    WS_GROUP,13,22,39,10
-    CONTROL         "0x8800",IDC_BANK_1,"Button",BS_AUTORADIOBUTTON,13,36,39,
-                    10
-    CONTROL         "0x9800",IDC_BG0,"Button",BS_AUTORADIOBUTTON | WS_GROUP,
-                    13,63,39,10
+    CONTROL         "0x8000",IDC_BANK_0,"Button",BS_AUTORADIOBUTTON | WS_GROUP,13,22,39,10
+    CONTROL         "0x8800",IDC_BANK_1,"Button",BS_AUTORADIOBUTTON,13,36,39,10
+    CONTROL         "0x9800",IDC_BG0,"Button",BS_AUTORADIOBUTTON | WS_GROUP,13,63,39,10
     CONTROL         "0x9C00",IDC_BG1,"Button",BS_AUTORADIOBUTTON,13,77,40,10
-    CONTROL         "Stretch to fit",IDC_STRETCH,"Button",BS_AUTOCHECKBOX | 
-                    WS_TABSTOP,7,122,68,10
+    CONTROL         "Stretch to fit",IDC_STRETCH,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,122,68,10
     PUSHBUTTON      "&Refresh",IDC_REFRESH,25,217,50,14,WS_GROUP
     PUSHBUTTON      "&Save...",IDC_SAVE,88,217,50,14,WS_GROUP
     PUSHBUTTON      "&Close",IDC_CLOSE,155,217,50,14
-    CONTROL         "MapView",IDC_MAP_VIEW,"VbaBitmapControl",WS_GROUP | 
-                    WS_TABSTOP,187,15,128,128
-    CONTROL         "Zoom",IDC_MAP_VIEW_ZOOM,"VbaZoomControl",WS_GROUP | 
-                    WS_TABSTOP,7,148,64,64
-    CONTROL         "Color",IDC_COLOR,"VbaColorControl",WS_TABSTOP,187,164,
-                    48,47
-    LTEXT           "",IDC_R,245,173,50,8
-    LTEXT           "",IDC_G,245,185,50,8
-    LTEXT           "",IDC_B,245,197,50,8
+    CONTROL         "MapView",IDC_MAP_VIEW,"VbaBitmapControl",WS_GROUP | WS_TABSTOP,187,15,128,128
+    CONTROL         "Zoom",IDC_MAP_VIEW_ZOOM,"VbaZoomControl",WS_GROUP | WS_TABSTOP,7,148,64,64
+    CONTROL         "Color",IDC_COLOR,"VbaColorControl",WS_TABSTOP,187,164,48,47
+    LTEXT           "",IDC_R,245,173,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_G,245,185,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_B,245,197,50,8,SS_NOPREFIX
     GROUPBOX        "Char Base",IDC_STATIC,7,11,63,37
     GROUPBOX        "Map Base",IDC_STATIC,7,52,63,41
-    CONTROL         "Auto update",IDC_AUTO_UPDATE,"Button",BS_AUTOCHECKBOX | 
-                    WS_TABSTOP,7,134,55,10
-    LTEXT           "",IDC_XY,129,18,53,8
+    CONTROL         "Auto update",IDC_AUTO_UPDATE,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,134,55,10
+    LTEXT           "",IDC_XY,129,18,53,8,SS_NOPREFIX
     LTEXT           "Priority:",IDC_STATIC,80,68,37,8
-    LTEXT           "",IDC_PRIORITY,130,68,53,8
+    LTEXT           "",IDC_PRIORITY,130,68,53,8,SS_NOPREFIX
     LTEXT           "Address:",IDC_STATIC,80,28,37,8
-    LTEXT           "",IDC_ADDRESS,130,28,53,8
+    LTEXT           "",IDC_ADDRESS,130,28,53,8,SS_NOPREFIX
     LTEXT           "Tile:",IDC_STATIC,80,38,37,8
-    LTEXT           "",IDC_TILE_NUM,130,38,53,8
+    LTEXT           "",IDC_TILE_NUM,130,38,53,8,SS_NOPREFIX
     LTEXT           "Flip:",IDC_STATIC,80,48,37,8
-    LTEXT           "",IDC_FLIP,130,48,53,8
+    LTEXT           "",IDC_FLIP,130,48,53,8,SS_NOPREFIX
     LTEXT           "Palette:",IDC_STATIC,80,58,37,8
-    LTEXT           "",IDC_PALETTE_NUM,130,58,53,8
+    LTEXT           "",IDC_PALETTE_NUM,130,58,53,8,SS_NOPREFIX
 END
 
-IDD_GB_PALETTE_VIEW DIALOG DISCARDABLE  0, 0, 196, 234
-STYLE WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
+IDD_GB_PALETTE_VIEW DIALOG  0, 0, 196, 234
+STYLE DS_SETFONT | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
 CAPTION "GB Palette Viewer"
 FONT 8, "MS Sans Serif"
 BEGIN
@@ -1078,15 +919,13 @@
     PUSHBUTTON      "Save OBJ...",IDC_SAVE_OBJ,73,191,50,14
     PUSHBUTTON      "&Refresh",IDC_REFRESH2,139,191,50,14
     PUSHBUTTON      "&Close",IDC_CLOSE,73,213,50,14
-    LTEXT           "",IDC_ADDRESS,53,117,50,8
-    LTEXT           "",IDC_R,53,129,50,8
-    LTEXT           "",IDC_G,53,141,50,8
-    LTEXT           "",IDC_B,53,153,50,8
-    LTEXT           "",IDC_VALUE,53,165,50,8
-    CONTROL         "Custom1",IDC_COLOR,"VbaColorControl",WS_TABSTOP,119,117,
-                    50,50
-    CONTROL         "PaletteViewBG",IDC_PALETTE_VIEW,"VbaPaletteViewControl",
-                    WS_TABSTOP,11,30,64,64
+    LTEXT           "",IDC_ADDRESS,53,117,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_R,53,129,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_G,53,141,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_B,53,153,50,8,SS_NOPREFIX
+    LTEXT           "",IDC_VALUE,53,165,50,8,SS_NOPREFIX
+    CONTROL         "Custom1",IDC_COLOR,"VbaColorControl",WS_TABSTOP,119,117,50,50
+    CONTROL         "PaletteViewBG",IDC_PALETTE_VIEW,"VbaPaletteViewControl",WS_TABSTOP,11,30,64,64
     CONTROL         "PaletteViewBG",IDC_PALETTE_VIEW_OBJ,
                     "VbaPaletteViewControl",WS_TABSTOP,120,30,64,64
     GROUPBOX        "BG",IDC_STATIC,6,20,74,81
@@ -1096,111 +935,108 @@
     LTEXT           "G:",IDC_STATIC,7,141,43,8
     LTEXT           "B:",IDC_STATIC,7,153,38,8
     LTEXT           "Value:",IDC_STATIC,7,165,38,8
-    LTEXT           "Click on a color for more information",IDC_STATIC,7,7,
-                    182,8
-    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",
-                    BS_AUTOCHECKBOX | WS_TABSTOP,7,178,71,10
+    LTEXT           "Click on a color for more information",IDC_STATIC,7,7,182,8
+    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,178,71,10
 END
 
-IDD_MODE_CONFIRM DIALOG DISCARDABLE  0, 0, 186, 57
-STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
+IDD_MODE_CONFIRM DIALOG  0, 0, 186, 57
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
 CAPTION "Confirm mode"
 FONT 8, "MS Sans Serif"
 BEGIN
     DEFPUSHBUTTON   "OK",ID_OK,31,36,50,14
     PUSHBUTTON      "Cancel",ID_CANCEL,103,36,50,14
-    CTEXT           "Do you want to keep the current mode?",IDC_STATIC,7,7,
-                    172,8
-    CTEXT           "",IDC_TIMER,7,19,172,8
+    CTEXT           "Do you want to keep the current mode?",IDC_STATIC,7,7,172,8
+    CTEXT           "",IDC_TIMER,7,19,172,8,SS_NOPREFIX,WS_EX_TOOLWINDOW
 END
 
-IDD_REWIND_INTERVAL DIALOG DISCARDABLE  0, 0, 186, 68
-STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
+IDD_REWIND_INTERVAL DIALOG  0, 0, 186, 68
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
 CAPTION "Select rewind interval"
 FONT 8, "MS Sans Serif"
 BEGIN
     EDITTEXT        IDC_INTERVAL,7,28,172,14,ES_AUTOHSCROLL
     DEFPUSHBUTTON   "OK",ID_OK,37,47,50,14
     PUSHBUTTON      "Cancel",ID_CANCEL,99,47,50,14
-    LTEXT           "Enter rewind interval (0...600) seconds:",IDC_STATIC,7,
-                    7,172,8
+    LTEXT           "Enter rewind interval (0...600) seconds:",IDC_STATIC,7,7,172,8
     LTEXT           "Enter 0 to disable rewind.",IDC_STATIC,7,17,172,8
 END
 
-IDD_IO_VIEWER DIALOG DISCARDABLE  0, 0, 269, 238
-STYLE DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
+IDD_IO_VIEWER DIALOG  0, 0, 269, 238
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_VISIBLE | WS_CAPTION | WS_SYSMENU
 CAPTION "I/O Viewer"
 FONT 8, "MS Sans Serif"
 BEGIN
-    COMBOBOX        IDC_ADDRESSES,7,7,255,30,CBS_DROPDOWNLIST | WS_VSCROLL | 
-                    WS_TABSTOP
+    COMBOBOX        IDC_ADDRESSES,7,7,255,30,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
     RTEXT           "",IDC_VALUE,103,23,159,8
-    CONTROL         "",IDC_BIT_15,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,34,
-                    255,10
-    CONTROL         "",IDC_BIT_14,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,44,
-                    255,10
-    CONTROL         "",IDC_BIT_13,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,54,
-                    255,8
-    CONTROL         "",IDC_BIT_12,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,64,
-                    255,10
-    CONTROL         "",IDC_BIT_11,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,74,
-                    255,10
-    CONTROL         "",IDC_BIT_10,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,84,
-                    255,10
-    CONTROL         "",IDC_BIT_9,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,94,
-                    255,10
-    CONTROL         "",IDC_BIT_8,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,104,
-                    255,10
-    CONTROL         "",IDC_BIT_7,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,114,
-                    255,10
-    CONTROL         "",IDC_BIT_6,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,124,
-                    255,10
-    CONTROL         "",IDC_BIT_5,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,134,
-                    255,10
-    CONTROL         "",IDC_BIT_4,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,144,
-                    255,10
-    CONTROL         "",IDC_BIT_3,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,154,
-                    255,10
-    CONTROL         "",IDC_BIT_2,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,164,
-                    255,10
-    CONTROL         "",IDC_BIT_1,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,174,
-                    255,10
-    CONTROL         "",IDC_BIT_0,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,184,
-                    255,10
-    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",
-                    BS_AUTOCHECKBOX | WS_TABSTOP,7,201,71,10
+    CONTROL         "",IDC_BIT_15,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,34,255,10
+    CONTROL         "",IDC_BIT_14,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,44,255,10
+    CONTROL         "",IDC_BIT_13,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,54,255,8
+    CONTROL         "",IDC_BIT_12,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,64,255,10
+    CONTROL         "",IDC_BIT_11,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,74,255,10
+    CONTROL         "",IDC_BIT_10,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,84,255,10
+    CONTROL         "",IDC_BIT_9,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,94,255,10
+    CONTROL         "",IDC_BIT_8,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,104,255,10
+    CONTROL         "",IDC_BIT_7,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,114,255,10
+    CONTROL         "",IDC_BIT_6,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,124,255,10
+    CONTROL         "",IDC_BIT_5,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,134,255,10
+    CONTROL         "",IDC_BIT_4,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,144,255,10
+    CONTROL         "",IDC_BIT_3,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,154,255,10
+    CONTROL         "",IDC_BIT_2,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,164,255,10
+    CONTROL         "",IDC_BIT_1,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,174,255,10
+    CONTROL         "",IDC_BIT_0,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,184,255,10
+    CONTROL         "Automatic update",IDC_AUTO_UPDATE,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,7,201,71,10
     DEFPUSHBUTTON   "&Refresh",IDC_REFRESH,54,221,50,14
     DEFPUSHBUTTON   "&Apply",IDC_APPLY,110,221,50,14
     PUSHBUTTON      "&Close",IDC_CLOSE,166,221,50,14
     LTEXT           "Value:",IDC_STATIC,7,23,72,8
 END
 
-IDD_MAX_SCALE DIALOG DISCARDABLE  0, 0, 186, 68
-STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
+IDD_MAX_SCALE DIALOG  0, 0, 186, 68
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
 CAPTION "Fullscreen scale"
 FONT 8, "MS Sans Serif"
 BEGIN
     EDITTEXT        IDC_VALUE,7,28,172,14,ES_AUTOHSCROLL
     DEFPUSHBUTTON   "OK",ID_OK,37,47,50,14
     PUSHBUTTON      "Cancel",ID_CANCEL,99,47,50,14
-    LTEXT           "Enter the maxium fullscreen scale:",IDC_STATIC,7,7,172,
-                    8
+    LTEXT           "Enter the maxium fullscreen scale:",IDC_STATIC,7,7,172,8
     LTEXT           "Enter 0 to use maximum scale.",IDC_STATIC,7,17,172,8
 END
 
-IDD_BUG_REPORT DIALOG DISCARDABLE  0, 0, 296, 186
-STYLE DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
+IDD_BUG_REPORT DIALOG  0, 0, 296, 186
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
 CAPTION "Bug Report"
 FONT 8, "MS Sans Serif"
 BEGIN
     PUSHBUTTON      "&OK",ID_OK,157,165,50,14
-    EDITTEXT        IDC_BUG_REPORT,11,22,278,131,ES_MULTILINE | 
-                    ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_READONLY | 
-                    WS_VSCROLL
+    EDITTEXT        IDC_BUG_REPORT,11,22,278,131,ES_MULTILINE | ES_AUTOVSCROLL | ES_AUTOHSCROLL | ES_READONLY | WS_VSCROLL
     LTEXT           "Bug report data:",IDC_STATIC,7,7,282,8
     DEFPUSHBUTTON   "&Copy",IDC_COPY,87,164,50,14
 END
 
+IDD_GAME_OVERRIDES DIALOGEX 0, 0, 268, 132
+STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
+CAPTION "Game overrides"
+FONT 8, "MS Sans Serif", 0, 0, 0x0
+BEGIN
+    COMBOBOX        IDC_RTC,84,42,180,12,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
+    COMBOBOX        IDC_SAVE_TYPE,84,60,180,12,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
+    COMBOBOX        IDC_FLASH_SIZE,84,78,180,12,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
+    COMBOBOX        IDC_MIRRORING,84,96,180,12,CBS_DROPDOWNLIST | WS_VSCROLL | WS_TABSTOP
+    DEFPUSHBUTTON   "OK",IDOK,6,114,72,12
+    PUSHBUTTON      "Defaults",IDC_DEFAULTS,108,114,54,12
+    PUSHBUTTON      "Cancel",IDCANCEL,192,114,72,12
+    LTEXT           "Game Code",IDC_STATIC,6,6,72,12
+    EDITTEXT        IDC_NAME,84,6,180,12,ES_AUTOHSCROLL | WS_DISABLED
+    LTEXT           "Real Time Clock:",IDC_STATIC,6,42,72,12
+    LTEXT           "Save Type:",IDC_STATIC,6,60,72,12
+    LTEXT           "Flash Size:",IDC_STATIC,6,78,72,12
+    LTEXT           "Mirroring:",IDC_STATIC,6,96,72,12
+    LTEXT           "Comment",IDC_STATIC,6,24,72,12
+    EDITTEXT        IDC_COMMENT,84,24,180,12,ES_AUTOHSCROLL
+END
+
 
 /////////////////////////////////////////////////////////////////////////////
 //
@@ -1208,7 +1044,7 @@
 //
 
 #ifdef APSTUDIO_INVOKED
-GUIDELINES DESIGNINFO DISCARDABLE 
+GUIDELINES DESIGNINFO 
 BEGIN
     IDD_OPENDLG, DIALOG
     BEGIN
@@ -1218,17 +1054,17 @@
     IDD_ABOUT, DIALOG
     BEGIN
         LEFTMARGIN, 7
-        RIGHTMARGIN, 157
+        RIGHTMARGIN, 150
         TOPMARGIN, 7
-        BOTTOMMARGIN, 86
+        BOTTOMMARGIN, 71
     END
 
     IDD_DIRECTORIES, DIALOG
     BEGIN
         LEFTMARGIN, 7
-        RIGHTMARGIN, 277
+        RIGHTMARGIN, 213
         TOPMARGIN, 7
-        BOTTOMMARGIN, 122
+        BOTTOMMARGIN, 294
     END
 
     IDD_CONFIG, DIALOG
@@ -1542,6 +1378,14 @@
         TOPMARGIN, 7
         BOTTOMMARGIN, 179
     END
+
+    IDD_GAME_OVERRIDES, DIALOG
+    BEGIN
+        LEFTMARGIN, 7
+        RIGHTMARGIN, 261
+        TOPMARGIN, 7
+        BOTTOMMARGIN, 105
+    END
 END
 #endif    // APSTUDIO_INVOKED
 
@@ -1551,21 +1395,19 @@
 // Menu
 //
 
-IDR_MENU MENU DISCARDABLE 
+IDR_MENU MENU 
 BEGIN
     POPUP "&File"
     BEGIN
-        MENUITEM "&Open...",                    ID_FILE_OPEN
+        MENUITEM "Open...",                     ID_FILE_OPEN
         MENUITEM "Open Gameboy...",             ID_FILE_OPENGAMEBOY
         MENUITEM SEPARATOR
-        MENUITEM "&Load...",                    ID_FILE_LOAD
-        MENUITEM "&Save...",                    ID_FILE_SAVE
-        POPUP "Loa&d Game"
+        MENUITEM "Load...",                     ID_FILE_LOAD
+        MENUITEM "Save...",                     ID_FILE_SAVE
+        POPUP "Load Game"
         BEGIN
             MENUITEM "Most recent",                 ID_FILE_LOADGAME_MOSTRECENT
-
             MENUITEM "Auto load most recent",       ID_FILE_LOADGAME_AUTOLOADMOSTRECENT
-
             MENUITEM SEPARATOR
             MENUITEM "Slot #1",                     ID_FILE_LOADGAME_SLOT1
             MENUITEM "Slot #2",                     ID_FILE_LOADGAME_SLOT2
@@ -1578,10 +1420,9 @@
             MENUITEM "Slot #9",                     ID_FILE_LOADGAME_SLOT9
             MENUITEM "Slot #10",                    ID_FILE_LOADGAME_SLOT10
         END
-        POPUP "S&ave Game"
+        POPUP "Save Game"
         BEGIN
             MENUITEM "Oldest slot",                 ID_FILE_SAVEGAME_OLDESTSLOT
-
             MENUITEM SEPARATOR
             MENUITEM "Slot #1",                     ID_FILE_SAVEGAME_SLOT1
             MENUITEM "Slot #2",                     ID_FILE_SAVEGAME_SLOT2
@@ -1595,40 +1436,35 @@
             MENUITEM "Slot #10",                    ID_FILE_SAVEGAME_SLOT10
         END
         MENUITEM SEPARATOR
-        MENUITEM "&Pause",                      ID_FILE_PAUSE
-        MENUITEM "&Reset",                      ID_FILE_RESET
+        MENUITEM "Pause",                       ID_FILE_PAUSE
+        MENUITEM "Reset",                       ID_FILE_RESET
         MENUITEM SEPARATOR
-        POPUP "Re&cent"
+        POPUP "Recent"
         BEGIN
             MENUITEM "&Reset",                      ID_FILE_RECENT_RESET
             MENUITEM "&Freeze",                     ID_FILE_RECENT_FREEZE
             MENUITEM SEPARATOR
         END
         MENUITEM SEPARATOR
-        POPUP "&Import"
+        POPUP "Import"
         BEGIN
             MENUITEM "&Battery file...",            ID_FILE_IMPORT_BATTERYFILE
-
             MENUITEM "Gameshark &code file...",     ID_FILE_IMPORT_GAMESHARKCODEFILE
-
             MENUITEM "&Gameshark Snapshot...",      ID_FILE_IMPORT_GAMESHARKSNAPSHOT
-
         END
-        POPUP "E&xport"
+        POPUP "Export"
         BEGIN
             MENUITEM "&Battery file...",            ID_FILE_EXPORT_BATTERYFILE
-
             MENUITEM "&Gameshark Snapshot...",      ID_FILE_EXPORT_GAMESHARKSNAPSHOT
-
         END
         MENUITEM SEPARATOR
-        MENUITEM "S&creen capture...",          ID_FILE_SCREENCAPTURE
-        MENUITEM "Ro&m information...",         ID_FILE_ROMINFORMATION
-        MENUITEM "&Toggle menu",                ID_FILE_TOGGLEMENU
+        MENUITEM "Screen capture...",           ID_FILE_SCREENCAPTURE
+        MENUITEM "Rom information...",          ID_FILE_ROMINFORMATION
+        MENUITEM "Toggle menu",                 ID_FILE_TOGGLEMENU
         MENUITEM SEPARATOR
-        MENUITEM "&Close",                      ID_FILE_CLOSE
+        MENUITEM "Close",                       ID_FILE_CLOSE
         MENUITEM SEPARATOR
-        MENUITEM "&Exit",                       ID_FILE_EXIT
+        MENUITEM "Exit",                        ID_FILE_EXIT
     END
     POPUP "&Options"
     BEGIN
@@ -1637,43 +1473,25 @@
             POPUP "Throttle"
             BEGIN
                 MENUITEM "No throttle",                 ID_OPTIONS_FRAMESKIP_THROTTLE_NOTHROTTLE
-
                 MENUITEM "25%",                         ID_OPTIONS_FRAMESKIP_THROTTLE_25
-
                 MENUITEM "50%",                         ID_OPTIONS_FRAMESKIP_THROTTLE_50
-
                 MENUITEM "100%",                        ID_OPTIONS_FRAMESKIP_THROTTLE_100
-
                 MENUITEM "150%",                        ID_OPTIONS_FRAMESKIP_THROTTLE_150
-
                 MENUITEM "200%",                        ID_OPTIONS_FRAMESKIP_THROTTLE_200
-
                 MENUITEM "Other...",                    ID_OPTIONS_FRAMESKIP_THROTTLE_OTHER
-
             END
             MENUITEM "&Automatic",                  ID_OPTIONS_FRAMESKIP_AUTOMATIC
-
             MENUITEM SEPARATOR
             MENUITEM "&0",                          ID_OPTIONS_VIDEO_FRAMESKIP_0
-
             MENUITEM "&1",                          ID_OPTIONS_VIDEO_FRAMESKIP_1
-
             MENUITEM "&2",                          ID_OPTIONS_VIDEO_FRAMESKIP_2
-
             MENUITEM "&3",                          ID_OPTIONS_VIDEO_FRAMESKIP_3
-
             MENUITEM "&4",                          ID_OPTIONS_VIDEO_FRAMESKIP_4
-
             MENUITEM "&5",                          ID_OPTIONS_VIDEO_FRAMESKIP_5
-
             MENUITEM "&6",                          ID_OPTIONS_VIDEO_FRAMESKIP_6
-
             MENUITEM "&7",                          ID_OPTIONS_VIDEO_FRAMESKIP_7
-
             MENUITEM "&8",                          ID_OPTIONS_VIDEO_FRAMESKIP_8
-
             MENUITEM "&9",                          ID_OPTIONS_VIDEO_FRAMESKIP_9
-
         END
         POPUP "&Video"
         BEGIN
@@ -1681,39 +1499,24 @@
             POPUP "Render Method"
             BEGIN
                 MENUITEM "GDI",                         ID_OPTIONS_VIDEO_RENDERMETHOD_GDI
-
                 MENUITEM "DirectDraw",                  ID_OPTIONS_VIDEO_RENDERMETHOD_DIRECTDRAW
-
                 MENUITEM "Direct3D",                    ID_OPTIONS_VIDEO_RENDERMETHOD_DIRECT3D
-
                 MENUITEM "OpenGL",                      ID_OPTIONS_VIDEO_RENDERMETHOD_OPENGL
-
                 MENUITEM SEPARATOR
                 MENUITEM "DDraw &Emulation Only",       ID_OPTIONS_VIDEO_DDRAWEMULATIONONLY
-
                 MENUITEM "DDraw Use &Video Memory",     ID_OPTIONS_VIDEO_DDRAWUSEVIDEOMEMORY
-
                 MENUITEM "DDraw Triple Buffering",      ID_OPTIONS_VIDEO_TRIPLEBUFFERING
-
                 MENUITEM SEPARATOR
                 MENUITEM "D3D Nearest",                 ID_OPTIONS_VIDEO_RENDEROPTIONS_D3DNOFILTER
-
                 MENUITEM "D3D Bilinear",                ID_OPTIONS_VIDEO_RENDEROPTIONS_D3DBILINEAR
-
                 MENUITEM SEPARATOR
                 MENUITEM "GL Nearest",                  ID_OPTIONS_VIDEO_RENDEROPTIONS_GLNEAREST
-
                 MENUITEM "GL Bilinear",                 ID_OPTIONS_VIDEO_RENDEROPTIONS_GLBILINEAR
-
                 MENUITEM "GL Triangle",                 ID_OPTIONS_VIDEO_RENDEROPTIONS_GLTRIANGLE
-
                 MENUITEM "GL Quads",                    ID_OPTIONS_VIDEO_RENDEROPTIONS_GLQUADS
-
                 MENUITEM SEPARATOR
                 MENUITEM "Select skin...",              ID_OPTIONS_VIDEO_RENDEROPTIONS_SELECTSKIN
-
                 MENUITEM "Skin",                        ID_OPTIONS_VIDEO_RENDEROPTIONS_SKIN
-
             END
             MENUITEM SEPARATOR
             MENUITEM "x&1",                         ID_OPTIONS_VIDEO_X1
